> ## Documentation Index
> Fetch the complete documentation index at: https://docs.indxco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create ACH Transaction

> Create an ACH transaction.



## OpenAPI

````yaml POST /partner/clover/ach
openapi: 3.1.0
info:
  title: INDX-api
  description: |2-

        Welcome to the INDX API!
        
  version: 0.1.0
servers: []
security: []
paths:
  /partner/clover/ach:
    post:
      tags:
        - Clover
      summary: Create Ach Transaction
      description: Create an ACH transaction.
      operationId: create_ach_transaction_partner_clover_ach_post
      parameters:
        - name: X-IDEMPOTENCY-KEY
          in: header
          required: true
          schema:
            type: string
            format: uuid
            title: X-Idempotency-Key
        - name: source
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Source
        - name: X-API-SIGNATURE
          in: header
          required: true
          schema:
            type: string
            description: Signature header
            title: X-Api-Signature
          description: Signature header
        - name: X-API-TIMESTAMP
          in: header
          required: true
          schema:
            type: integer
            description: Timestamp header
            title: X-Api-Timestamp
          description: Timestamp header
        - name: X-API-NONCE
          in: header
          required: true
          schema:
            type: string
            description: Nonce header
            title: X-Api-Nonce
          description: Nonce header
        - name: X-API-SUBSCRIPTION-KEY
          in: header
          required: true
          schema:
            type: string
            description: Account ID header
            title: X-Api-Subscription-Key
          description: Account ID header
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateAchTransactionRequest'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ResponseSchema_CreateAchTransactionResponse_
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CreateAchTransactionRequest:
      properties:
        amount:
          anyOf:
            - type: number
              maximum: 100000000
              exclusiveMinimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
          title: Amount
          description: Amount to be transferred
          examples:
            - 100
        direction:
          type: string
          enum:
            - deposit
            - withdrawal
          title: Direction
          description: Direction
          examples:
            - withdrawal
            - deposit
        originating_account_id:
          type: string
          title: Originating Account Id
          description: Originating account ID
          examples:
            - 54_6HsrzVBq3MReLHXNnb5Qk
        external_account_id:
          type: string
          title: External Account Id
          description: External bank account ID
      type: object
      required:
        - amount
        - direction
        - originating_account_id
        - external_account_id
      title: CreateAchTransactionRequest
      description: Schema to deserialize the ACH transaction request.
    ResponseSchema_CreateAchTransactionResponse_:
      properties:
        message:
          type: string
          title: Message
        data:
          anyOf:
            - $ref: '#/components/schemas/CreateAchTransactionResponse'
            - type: 'null'
      type: object
      required:
        - message
      title: ResponseSchema[CreateAchTransactionResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CreateAchTransactionResponse:
      properties:
        transaction_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Transaction Id
          description: Transaction ID
        reference_id:
          type: string
          title: Reference Id
          description: Reference ID
      type: object
      required:
        - reference_id
      title: CreateAchTransactionResponse
      description: Schema to serialize the ach transaction response.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````